edu.sc.seis.sod.status

## Class StringTree

- java.lang.Object
- - edu.sc.seis.sod.status.StringTree

- Direct Known Subclasses:
    StringTreeBranch, StringTreeLeaf

      public abstract class StringTree
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `actorName`
    `static java.lang.String` | `FAIL`
    `static java.lang.String` | `OK`
    `protected boolean` | `status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTree(java.lang.String actorName, boolean status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getIndent(int indentationLevel)`
    `boolean` | `isSuccess()`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(int indentationLevel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### actorName

          protected java.lang.String actorName

    - #### status

          protected boolean status

    - #### OK

          public static final java.lang.String OK

      See Also:
        Constant Field Values

    - #### FAIL

          public static final java.lang.String FAIL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StringTree

          public StringTree(java.lang.String actorName,
                            boolean status)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString(int indentationLevel)

    - #### isSuccess

          public boolean isSuccess()

    - #### getIndent

          protected java.lang.String getIndent(int indentationLevel)